Subject: 回复:Re: [Simple] MSRP chat: draft-niemi-simple-chat-04.txt

From: wangxiao 39649 <[email-masked]>
Date: Mon, 20 Mar 2006 11:30:52 +0800

inline

----- 原邮件 -----
从: Aki Niemi <[email-masked]>
日期: 星期一, 三月 20日, 2006 上午7:04
主题: Re: [Simple] MSRP chat: draft-niemi-simple-chat-04.txt

> 
> 
> ext Hisham Khartabil wrote:
> > So let me understand. You join the chat room, then as a second step
> > reserve your nickname? I don't think this is what we want.
> 
> That's what all other chats do currently.
> 
> > How about a Preferred-Identity header field or an a=nickname SDP
> > attribute that carries the nickname URI. Or even in the request-URI.
> 
> Yeah, we thought about doing somthing like this in O/A, but the
> difficulty is in that the server needs to reject if there's a 
> conflict,and perhaps suggest an alternate nickname.
> 
I think it is a bad experience to user if server reject user to join chat room with nickname conflicting.
When a chat room has many participants, nickname conflicting will be appeared frequently, and a participant
will try to join chat room for several times with this reason. 

> Then we thought about some session precondition for nicknames, but 
> thatmade our heads explode Dean-style. The next day we defined the 
> NICKNAMEmethod.
> 
> > I think the nickname should be set up while "joining" and not 
> after you
> > join that chatroom.
> 
> In practice, this is done while joining. But you also need to be 
> able to
> change your nickname while in the chat already.
> 
> Cheers,
> Aki
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple